0

I cannot see WiFi option in my Ubuntu 15.04. What should I do? Revert asap

lspci -nnk | grep 0280 -A2 output:-

03:00.0 Network controller [0280]: Qualcomm Atheros Device [168c:0042] (rev 30)
Subsystem: Foxconn International, Inc. Device [105b:e09a]

rfkill list output:-

0: hci0: Bluetooth
Soft blocked: no
Hard blocked: no
1: acer-wireless: Wireless LAN
Soft blocked: no
Hard blocked: no

    dmesg | grep ath
[    9.545199] ath10k_pci 0000:03:00.0: pci irq msi-x interrupts 8 irq_mode 0 reset_mode 0
[   10.029684] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/cal-pci-0000:03:00.0.bin failed with error -2
[   10.029701] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/QCA9377/hw1.0/firmware-5.bin failed with error -2
[   10.029704] ath10k_pci 0000:03:00.0: could not fetch firmware file 'ath10k/QCA9377/hw1.0/firmware-5.bin': -2
[   10.029711] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/QCA9377/hw1.0/firmware-4.bin failed with error -2
[   10.029713] ath10k_pci 0000:03:00.0: could not fetch firmware file 'ath10k/QCA9377/hw1.0/firmware-4.bin': -2
[   10.029719] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/QCA9377/hw1.0/firmware-3.bin failed with error -2
[   10.029721] ath10k_pci 0000:03:00.0: could not fetch firmware file 'ath10k/QCA9377/hw1.0/firmware-3.bin': -2
[   10.029726] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/QCA9377/hw1.0/firmware-2.bin failed with error -2
[   10.029728] ath10k_pci 0000:03:00.0: could not fetch firmware file 'ath10k/QCA9377/hw1.0/firmware-2.bin': -2
[   10.029733] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/QCA9377/hw1.0/firmware.bin failed with error -2
[   10.029735] ath10k_pci 0000:03:00.0: could not fetch firmware (-2)
[   10.029737] ath10k_pci 0000:03:00.0: could not fetch firmware files (-2)
[   10.029739] ath10k_pci 0000:03:00.0: could not probe fw (-2)
  • Please edit your question to add the result of: lspci -nnk | grep 0280 -A2 Welcome to askubuntu. – chili555 Dec 6 '15 at 14:27
4

Your device is covered by default in Ubuntu 15.10 although it requires firmware that is not installed by default but can be added later. My first suggestion is to install 15.10.

If, however, you choose to remain with 15.04, you can compile the later driver. With a temporary working internet connection, by ethernet, tethered or whatever means possible, open a terminal and do:

sudo apt-get update
sudo apt-get install linux-headers-generic build-essential
cd ~
wget https://www.kernel.org/pub/linux/kernel/projects/backports/2015/11/20/backports-20151120.tar.gz
tar -zxvf backports-20151120.tar.gz
cd ~/backports-20151120
make defconfig-ath10k
make
sudo make install

Reboot and let us see:

dmesg | grep ath

This will tell us which firmware is missing and I will amend my answer to show how to download and install it.

  • I'm now using Ubuntu 15.10 but still the problem exists output of dmesg | grep ath is – Nachiket Deolankar Jan 14 '16 at 13:29
  • How about: sudo modprobe ath10k_pci && dmesg | grep ath? – chili555 Jan 14 '16 at 14:48
  • Someone having the same problem with 16.04: askubuntu.com/questions/944665/…. What was that firmware they needed? – Seth Aug 15 '17 at 3:36

Not the answer you're looking for? Browse other questions tagged or ask your own question.